import React, { ReactElement } from 'react';

interface MultiselectCascadeFilterProps {
    n_items: number;
    data: string[][];
    singleSelect?: boolean[];
    showInactiveItems?: boolean;
    preserveInactiveSelections?: boolean;
    padding?: string;
    margin?: string;
    containerClass?: string;
    multiselectClass?: string;
    labels?: string[];
    hasSelectAll?: boolean[];
    showLabel?: boolean;
    shouldToggleOnHover?: boolean[];
    overrideStrings?: {
        [key: string]: string;
    };
    disabled?: boolean[];
    disableSearch?: boolean[];
    ClearIcon?: boolean[];
    debounceDuration?: number;
    closeOnChangedValue?: boolean[];
    renderLabel?: (x: string) => ReactElement;
    onChange?: (e: DataArrayType) => void;
}
interface Option {
    value: string;
    label: string;
    key?: string;
    disabled?: boolean;
}
interface DataArrayType {
    [key: number | string]: Option[];
}
interface handleFunction {
    clearFilters(): void;
    selectAllFilters(): void;
}
declare const MultiselectCascadeFilter: React.ForwardRefExoticComponent<MultiselectCascadeFilterProps & React.RefAttributes<handleFunction>>;

export { DataArrayType, MultiselectCascadeFilter, handleFunction };
